> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update message status

> Post the necessary fields for the API to update message status.



## OpenAPI

````yaml /api-reference/conversations/openapi.json put /conversations/messages/{messageId}/status
openapi: 3.0.0
info:
  title: Conversations API
  description: Documentation for Conversations API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Conversations
    description: Documentation for Conversations API
  - name: Search
    description: Documentation for Conversations API
  - name: Email
    description: Documentation for Conversations API
  - name: Messages
    description: Documentation for Conversations API
  - name: Providers
    description: Documentation for Conversations API
paths:
  /conversations/messages/{messageId}/status:
    put:
      tags:
        - Messages
      summary: Update message status
      description: Post the necessary fields for the API to update message status.
      operationId: update-message-status
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-04-15'
        - name: messageId
          required: true
          in: path
          description: Message Id
          schema:
            type: string
            example: ve9EPM428h8vShlRW1KT
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMessageStatusDto'
      responses:
        '200':
          description: Created the message
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendMessageResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenDTO'
      security:
        - bearer:
            - conversations/message.write
components:
  schemas:
    UpdateMessageStatusDto:
      type: object
      properties:
        status:
          type: string
          description: Message status
          example: read
          enum:
            - delivered
            - failed
            - pending
            - read
        error:
          $ref: '#/components/schemas/ErrorDto'
        emailMessageId:
          type: string
          description: Email message Id
          example: ve9EPM428h8vShlRW1KT
        recipients:
          description: Email delivery status for additional email recipients.
          type: array
          items:
            type: string
      required:
        - status
    SendMessageResponseDto:
      type: object
      properties:
        conversationId:
          type: string
          description: Conversation ID.
          example: ABC12h2F6uBrIkfXYazb
        emailMessageId:
          type: string
          description: >-
            This contains the email message id (only for Email type). Use this
            ID to send inbound replies to Hoop to create a threaded email.
          example: rnGyqh2F6uBrIkfhFo9A
        messageId:
          type: string
          description: This is the main Message ID
          example: t22c6DQcTDf3MjRhwf77
        messageIds:
          description: >-
            When sending via the GMB channel, we will be returning list of
            `messageIds` instead of single `messageId`.
          type: array
          items:
            type: string
        msg:
          type: string
          description: Additional response message when sending a workflow message
          example: Message queued successfully.
      required:
        - conversationId
        - messageId
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    ForbiddenDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 403
        message:
          type: string
          example: You do not have permission to access this resource
        error:
          type: string
          example: Forbidden
    ErrorDto:
      type: object
      properties:
        code:
          type: string
          description: Error Code
          example: '1'
        type:
          type: string
          description: Error Type
          example: saas
        message:
          type: string
          description: Error Message
          example: There was an error from the provider
      required:
        - code
        - type
        - message
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````